Delen via


Data - Retrieve Task Result

Haalt het resultaat van een uitgevoerde taak op

GET http://<Servername>/OperationsManager/data/getTaskResult/{batchId}

URI-parameters

Name In Vereist Type Description
batchId
path True

string

Geef de batch-ID op

Antwoorden

Name Type Description
200 OK

TaskResultResponse

OK. Het resultaat van een uitgevoerde taak is opgehaald.

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Voorbeelden

GetTaskResult

Voorbeeldaanvraag

GET http://<Servername>/OperationsManager/data/getTaskResult/789be4ae-d365-4dca-8cdc-0c8c3b239689

Voorbeeldrespons

{
  "batchId": "789be4ae-d365-4dca-8cdc-0c8c3b239689",
  "taskName": "Show Running Rules and Monitors for this Object",
  "taskStatus": "Started",
  "taskTarget": "scomserver1.,contoso.net",
  "taskOutput": null,
  "errorCode": null,
  "errorMessage": null
}

Definities

TaskResultResponse

Name Type Description
batchId

string

Batch-id

errorCode

integer

Foutcode

errorMessage

string

Foutmelding

taskName

string

taak Naam

taskOutput

string

Uitvoer van taken

taskStatus

string

Taakstatus

taskTarget

string

Doel van de taak